Bug 2049305 (CVE-2021-46657) - CVE-2021-46657 mariadb: Crash in get_sort_by_table() in subquery with ORDER BY having outer ref
Summary: CVE-2021-46657 mariadb: Crash in get_sort_by_table() in subquery with ORDER B...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-46657
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2055674 2055675 2055676 2055677 2055678 2055741 2055742 2081135 2081374
Blocks: 2049295
TreeView+ depends on / blocked
 
Reported: 2022-02-01 21:39 UTC by Todd Cullum
Modified: 2022-08-01 15:06 UTC (History)
23 users (show)

Fixed In Version: mariadb 10.6.2, mariadb 10.2.39, mariadb 10.3.30, mariadb 10.4.20, mariadb 10.5.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-27 02:46:26 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:1007 0 None None None 2022-03-22 10:20:03 UTC
Red Hat Product Errata RHSA-2022:1010 0 None None None 2022-03-22 12:27:33 UTC
Red Hat Product Errata RHSA-2022:1556 0 None None None 2022-04-26 17:29:37 UTC
Red Hat Product Errata RHSA-2022:1557 0 None None None 2022-04-26 17:30:09 UTC
Red Hat Product Errata RHSA-2022:4818 0 None None None 2022-05-31 12:16:25 UTC

Description Todd Cullum 2022-02-01 21:39:48 UTC
get_sort_by_table() in MariaDB before 10.6.2 allows an application crash via certain subquery uses of ORDER BY.

References:
1. https://jira.mariadb.org/browse/MDEV-25629
2. https://bugzilla.suse.com/1195325

Comment 1 juneau 2022-02-03 16:29:24 UTC
Marking services-management-platform notaffected. Affected code is not present.
Marking openshift-hosted-osd3 affected/ooss.

Comment 3 Mauro Matteo Cascella 2022-02-17 14:38:39 UTC
Upstream patch:
http://lists.askmonty.org/pipermail/commits/2021-May/014604.html

Comment 4 Mauro Matteo Cascella 2022-02-17 15:48:48 UTC
Created mariadb:10.3/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2055741]


Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2055742]

Comment 5 errata-xmlrpc 2022-03-22 10:20:01 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:1007 https://access.redhat.com/errata/RHSA-2022:1007

Comment 6 errata-xmlrpc 2022-03-22 12:27:30 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:1010 https://access.redhat.com/errata/RHSA-2022:1010

Comment 7 errata-xmlrpc 2022-04-26 17:29:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1556 https://access.redhat.com/errata/RHSA-2022:1556

Comment 8 errata-xmlrpc 2022-04-26 17:30:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1557 https://access.redhat.com/errata/RHSA-2022:1557

Comment 9 Product Security DevOps Team 2022-04-27 02:46:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-46657

Comment 11 errata-xmlrpc 2022-05-31 12:16:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:4818 https://access.redhat.com/errata/RHSA-2022:4818


Note You need to log in before you can comment on or make changes to this bug.